1. BEFORE POSTING: Please search our support page for the quickest answer!
Dismiss Notice
DO NOT POST APPEALS IN THIS SECTION OF THE FORUMS

1.7 HiveSG Classic in the view of a SG player

Discussion in 'The Hive Discussion' started by Ason, Jan 7, 2019.

  1. Ason

    Ason Famous Emerald Member

    Joined:
    Feb 1, 2016
    Messages:
    651
    Ratings:
    +102
    Hey Bees!

    Currently HiveSG classic is getting more and more popular. A lot of old players and famous people started playing again and there is one point every old player is complaining about. "Why doesnt 1.7 work?". Well, it's pretty simple. 1.7 is 6 years old and very out of date. The HiveMC Network is already 1.8+ and only SG would be 1.7. Now is the question why cant SG players just accept that it's a old version and need to upgrade?

    The view of many SG players is that 1.7 is the best version for minecraft pvp especially suvrivialgames. I've personally talked to a lot of friends which aren't playing Minecraft at the moment and over 80% told me they would try a comeback/start playing again when SG would be available for 1.7. If this would happen there is a pretty high chance that you meet up with people you've probably talked to years ago. Of course you can say: Yes, you can just join teamspeak and talk with them but I think it's way more personal and binding for everyone if you play the gamemode with the people you like.

    That's why I've started messaging old player again if they are interested and the majority would give it a try.
    I started messaging Staffs/Devs over and over again why 1.7 currently doesnt work and there were just washed up responses like "We are aware of it". Finally I was able to DM with the HiveMC Twitter account and got a retweet goal. If we can reach 5,000 retweets HiveSG classic will be available for 1.7 again! I request you to help us getting our retweet goal done even if you dont play SurvivalGames! It doesnt require a lot of time and you would help out one of the oldest communities to grow again!

    Tweet: https://twitter.com/AsonSup/status/1082316424255889412

    Every way which could help us reaching our goal is highly appreciated!

    I am open for a discussion about pros and cons and very ecxited about your thoughts!

    Best wishes!
    Ason
    #1
    • Like Like x 1
    • HYPE! HYPE! x 1
    • List
  2. DutchKinq

    DutchKinq Famous Ultimate Member

    Joined:
    Dec 26, 2015
    Messages:
    491
    Ratings:
    +373
    You're the goat. (Or the Koala whatever you like)
    #2
    • Award Worthy Award Worthy x 1
    • List
  3. Ason

    Ason Famous Emerald Member

    Joined:
    Feb 1, 2016
    Messages:
    651
    Ratings:
    +102
    Ay, cheers!
    Would be nice to talk to you soon =D
    #3
  4. DutchKinq

    DutchKinq Famous Ultimate Member

    Joined:
    Dec 26, 2015
    Messages:
    491
    Ratings:
    +373
    Would be nice indeed.. I'll try to come online this week, but I'm not sure if my pc is alive though :eek:
    #4
  5. Ason

    Ason Famous Emerald Member

    Joined:
    Feb 1, 2016
    Messages:
    651
    Ratings:
    +102
    What are your thoughts about my posts? I mean you’re pretty much in the situation
    #5
  6. DutchKinq

    DutchKinq Famous Ultimate Member

    Joined:
    Dec 26, 2015
    Messages:
    491
    Ratings:
    +373
    I hope that you'll get 5k retweets tbh.. On 1.7 I'd actually play again.
    #6
  7. Recyte

    Recyte Famous Emerald Member

    Joined:
    Oct 25, 2015
    Messages:
    424
    Ratings:
    +105
    I think it would be better to say that you can only join the Badlion Client.
    This client makes everything look like the old version (1.7) and there is no possibility to hack.
    Because even if Hive-sg goes back to 1.7, it wont change the fact that the hive anticheat is bad and everyone is going to hack again...

    But to be honest, I do not know if that's
    practically even possible...
    #7
    • Like Like x 1
    • Informative Informative x 1
    • List
  8. Kopites

    Kopites V.I.BEE Ultimate Member

    Joined:
    Jun 11, 2014
    Messages:
    322
    Ratings:
    +735
    I don't play SG, but I was playing SG a lot back in 2013-2014. Would've loved if the old community returned!
    #8
  9. captainsnake

    captainsnake Famous Ultimate Member

    Joined:
    Apr 30, 2018
    Messages:
    660
    Ratings:
    +675
    ok, I saw this earlier and skimmed it and thought "ok, this forum post seems to have some reasonability" so I'm gonna have to put more effort into breaking this argument than usual. I love a good challenge :D

    The main issue with this argument is that 1.7 is a dying version of the game. I play on many different servers and none that I know of require 1.7. Along with it, SG is a dying minigame. This google trend chart is probably the best evidence, I've used it before but it just makes everything so clear-

    Sure, people still play both, but what is the current biggest SG server? because honestly, I can't think of one. Practice and UHC have taken over the competitive pvp community. Google "survival games server" almost every video is 3+ years ago, the first result was 5 years ago. Of the top 24 servers, about 8 of them were 1.7 compatible. So take your originally small sample size of SG players and divide it by a third (this is probably generous considering that hypixel, hive, mineplex, and cubecraft's combined player counts probably match the combined counts of all other servers, all of which also are 1.8-1.13)

    On top of the portion of the minecraft community that pvps and the smaller portion of that that plays SG, and the portion of that that cares about playing 1.7. We need to think about your selection bias. That 80%? That was probably so high because you selected players who played hive and quit around the time of it's slow downfall. Yes, for raw pvp, 1.7 is probably better, but for the more modern gamemodes that incorporate strategy more the developing tools of 1.8 and simpler design of pvp probably help it rather than hurt it. Ask the average bedwars player, for me at least, I don't think it's worth the effort of having the game 1.7 compatible. And I'm sure this applies to other minigames as well like TIMV or skywars. And it's just not worth the time or effort of developing an anti-cheat that works over 7 different versions with 7 different packet protocols if they can't apply it to the java server. And if you want a strong commumity in a minecraft server, you can't restrict the newest version as that cuts a large portion of the audience. Some servers like mineman club can do it, but hive doesn't have as much experience developing for a competitive environment. They would need a new anticheat if we did restrict to just 1.8 and 1.7 or just 1.7 on the SG server because that will attract more closet cheaters. We would have to train staff how to screen share, and there would need to be huge changes in server design for it to work out.

    But honestly? If you really get 5000 retweets ima be waiting on that 1.7 ngl : p
    Last edited: Jan 9, 2019
    #9
    • Informative Informative x 1
    • Useful Useful x 1
    • List
  10. Azuuz

    Azuuz Famous Ultimate Member

    Joined:
    Sep 10, 2015
    Messages:
    91
    Ratings:
    +283
    nice c:
    #10

Share This Page